List submissions in a project
curl --request GET \
--url https://api.clipstake.com/v1/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clipstake.com/v1/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clipstake.com/v1/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "sub_4f9c0a1b2c3d4e5f60718293",
"platform": "instagram",
"url": "https://www.instagram.com/p/C9x4AbCdEfG/",
"platform_media_id": "18062712345678901",
"media_type": "short_video",
"account": {
"id": "acct_3f9c0a1b2c3d4e5f60718293",
"username": "acme.studio",
"external_user_id": "customer_8f3a2c19"
},
"posted_at": "2026-09-10T14:22:00.000Z",
"status": "active",
"next_read_at": "2026-09-14T14:00:00.000Z",
"unavailable_reason": null,
"parked_reason": null,
"latest": {
"captured_at": "2026-09-14T10:00:00.000Z",
"views": 128450,
"reach": 96720,
"likes": 8140,
"comments": 326,
"shares": 1190,
"saves": 2480,
"total_interactions": 12136,
"extra": {}
},
"metadata": {
"campaign": "fall"
},
"created_at": "2026-09-10T14:25:43.000Z",
"comments": {
"captured_at": "2026-09-14T10:00:00.000Z",
"items": []
},
"demographics": {
"availability": "available",
"window_start": "2026-09-10T18:00:00.000Z",
"window_end": "2026-09-14T18:00:00.000Z",
"snapshot_count": 5,
"countries": [
{
"bucket": "US",
"share_bps": 3420
}
],
"age": [
{
"bucket": "25-34",
"share_bps": 4120
}
],
"gender": [
{
"bucket": "F",
"share_bps": 5480
}
]
}
}
],
"next_cursor": null
}{
"error": {
"code": "invalid_request",
"message": "The request body or parameters are invalid.",
"request_id": "req_01K5A7N8QY2M4C6V9X3J"
}
}{
"error": {
"code": "unauthorized",
"message": "Provide a valid API key.",
"request_id": "req_01K5A7P2CH8T6R4W9M1B"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"request_id": "req_01K5A7R4WM9C2N6B8X3D"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "req_01K5A7S6FQ3V8H2N9C4M"
}
}Submissions
List submissions in a project
GET
/
submissions
List submissions in a project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Pattern:
^acct_[0-9a-f]{24}$Available options:
active, paused, unavailable, parked, stopped